﻿$ErrorActionPreference = 'Stop'

$packageName = 'arq'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://www.arqbackup.com/download/arqbackup/Arq7.msi'
$checksum = '2ef10521b8160021ef62182563aaf49cf3699a5ec6e7aaa29fc44509e7b9cad4'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'MSI'
    url            = $url
    validExitCodes = @(0, 3010, 1641, 1920, 1603)
    silentArgs     = '/quiet /norestart'
    softwareName   = 'ARQ'
    checksum       = $checksum
    checksumType   = 'sha256'
}

Install-ChocolateyPackage @packageArgs
